## git-annex 5.20131230build1

=== Makefile ===
--- 
+++ 
@@ -79,19 +79,21 @@
 	rm -rf tmp dist git-annex $(mans) configure  *.tix .hpc \
 		doc/.ikiwiki html dist tags Build/SysConfig.hs build-stamp \
 		Setup Build/InstallDesktopFile Build/EvilSplicer \
-		Build/Standalone Build/OSXMkLibs Build/DistributionUpdate \
+		Build/Standalone Build/OSXMkLibs Build/LinuxMkLibs Build/DistributionUpdate \
 		git-union-merge
 	find . -name \*.o -exec rm {} \;
 	find . -name \*.hi -exec rm {} \;
 
 Build/InstallDesktopFile: Build/InstallDesktopFile.hs
-	$(GHC) --make $@
+	$(GHC) --make $@ -Wall
 Build/EvilSplicer: Build/EvilSplicer.hs
-	$(GHC) --make $@
+	$(GHC) --make $@ -Wall
 Build/Standalone: Build/Standalone.hs Build/SysConfig.hs
-	$(GHC) --make $@
+	$(GHC) --make $@ -Wall
 Build/OSXMkLibs: Build/OSXMkLibs.hs
-	$(GHC) --make $@
+	$(GHC) --make $@ -Wall
+Build/LinuxMkLibs: Build/LinuxMkLibs.hs
+	$(GHC) --make $@ -Wall
 
 sdist: clean $(mans)
 	./Build/make-sdist.sh
@@ -103,10 +105,10 @@
 LINUXSTANDALONE_DEST=tmp/git-annex.linux
 linuxstandalone:
 	$(MAKE) git-annex linuxstandalone-nobuild
-linuxstandalone-nobuild: Build/Standalone
+linuxstandalone-nobuild: Build/Standalone Build/LinuxMkLibs
 	rm -rf "$(LINUXSTANDALONE_DEST)"
 	mkdir -p tmp
-	cp -R standalone/linux "$(LINUXSTANDALONE_DEST)"
+	cp -R standalone/linux/skel "$(LINUXSTANDALONE_DEST)"
 	
 	install -d "$(LINUXSTANDALONE_DEST)/bin"
 	cp dist/build/git-annex/git-annex "$(LINUXSTANDALONE_DEST)/bin/"
@@ -121,42 +123,8 @@
 	(cd "$(shell git --exec-path)" && tar c .) | (cd "$(LINUXSTANDALONE_DEST)"/git-core && tar x)
 	install -d "$(LINUXSTANDALONE_DEST)/templates"
 	
-	touch "$(LINUXSTANDALONE_DEST)/libdirs.tmp"
-	for lib in $$(ldd "$(LINUXSTANDALONE_DEST)"/bin/* $$(find "$(LINUXSTANDALONE_DEST)"/git-core/ -type f) | grep -v "not a dynamic executable" | egrep '^	' | sed 's/^\t//' | sed 's/.*=> //' | cut -d ' ' -f 1 | sort | uniq); do \
-		dir=$$(dirname "$$lib"); \
-		install -d "$(LINUXSTANDALONE_DEST)/$$dir"; \
-		echo "$$dir" >> "$(LINUXSTANDALONE_DEST)/libdirs.tmp"; \
-		cp "$$lib" "$(LINUXSTANDALONE_DEST)/$$dir"; \
-		if [ -L "$lib" ]; then \
-			link=$$(readlink -f "$$lib"); \
-			cp "$$link" "$(LINUXSTANDALONE_DEST)/$$(dirname "$$link")"; \
-		fi; \
-	done
-	sort "$(LINUXSTANDALONE_DEST)/libdirs.tmp" | uniq > "$(LINUXSTANDALONE_DEST)/libdirs"
-	rm -f "$(LINUXSTANDALONE_DEST)/libdirs.tmp"
-
-	# Ensure bundle includes all glibc libs, and other support
-	# files it loads.
-	# XXX Debian specific.
-	cd $(LINUXSTANDALONE_DEST) && dpkg -L libc6 | egrep '\.so|gconv'|tar c --files-from=- | tar x
-
-	find $(LINUXSTANDALONE_DEST) -type d -name gconv | head -n 1 | sed 's!$(LINUXSTANDALONE_DEST)/*!!' > $(LINUXSTANDALONE_DEST)/gconvdir
-	find $(LINUXSTANDALONE_DEST) | grep ld-linux | head -n 1 | sed 's!$(LINUXSTANDALONE_DEST)/*!!' > $(LINUXSTANDALONE_DEST)/linker
-	
-	# Install linker shim for each binary. Note that each binary is put
-	# in its own separate directory, to avoid eg git looking for
-	# binaries in its directory rather than in PATH.
-	for file in $$(find "$(LINUXSTANDALONE_DEST)" -type f | grep -v \.so); do \
-		if file "$$file" | grep ELF | egrep -q 'executable|shared object' && test -x "$$file"; then \
-			base=$$(basename "$$file"); \
-			mkdir -p "$(LINUXSTANDALONE_DEST)/shimmed/$$base"; \
-			mv "$$file" "$(LINUXSTANDALONE_DEST)/shimmed/$$base/"; \
-			echo "#!/bin/sh" > "$$file"; \
-			echo "exec \"\$$GIT_ANNEX_LINKER\" --library-path \"\$$GIT_ANNEX_LD_LIBRARY_PATH\" \"\$$GIT_ANNEX_SHIMMED/$$base/$$base\" \"\$$@\"" >> "$$file"; \
-			chmod +x "$$file"; \
-		fi; \
-	done
-
+	./Build/LinuxMkLibs "$(LINUXSTANDALONE_DEST)"
+	
 	$(MAKE) install-mans DESTDIR="$(LINUXSTANDALONE_DEST)"
 
 	cd tmp/git-annex.linux && find . -type f > git-annex.MANIFEST
@@ -186,14 +154,12 @@
 
 	# OSX looks in man dir nearby the bin
 	$(MAKE) install-mans DESTDIR="$(OSXAPP_BASE)/.." SHAREDIR="" PREFIX=""
-	# This file breaks hditul create
-	rm -f "$(OSXAPP_BASE)/../man/man1/git-annex-shell.1"
 
 	./Build/OSXMkLibs $(OSXAPP_BASE)
 	cd $(OSXAPP_DEST) && find . -type f > Contents/MacOS/git-annex.MANIFEST
 	cd $(OSXAPP_DEST) && find . -type l >> Contents/MacOS/git-annex.MANIFEST
 	rm -f tmp/git-annex.dmg
-	hdiutil create -format UDBZ -srcfolder tmp/build-dmg \
+	hdiutil create -format UDBZ -size 640m -srcfolder tmp/build-dmg \
 		-volname git-annex -o tmp/git-annex.dmg
 
 # Must be run on a system with TH supported, and the same
@@ -278,3 +244,10 @@
 # TODO should be possible to derive this from caballog.
 hdevtools:
 	hdevtools --stop-server || true
+	hdevtools check git-annex.hs -g -cpp -g -i -g -idist/build/git-annex/git-annex-tmp -g -i. -g -idist/build/autogen -g -Idist/build/autogen -g -Idist/build/git-annex/git-annex-tmp -g -IUtility -g -DWITH_TESTSUITE -g -DWITH_S3 -g -DWITH_ASSISTANT -g -DWITH_INOTIFY -g -DWITH_DBUS -g -DWITH_PAIRING -g -DWITH_XMPP -g -optP-include -g -optPdist/build/autogen/cabal_macros.h -g -odir -g dist/build/git-annex/git-annex-tmp -g -hidir -g dist/build/git-annex/git-annex-tmp -g -stubdir -g dist/build/git-annex/git-annex-tmp -g -threaded -g -Wall -g -XHaskell98 -g -XPackageImports
+
+distributionupdate:
+	ghc --make Build/DistributionUpdate
+	./Build/DistributionUpdate
+
+.PHONY: git-annex git-union-merge git-recover-repository tags build-stamp
