=== debian/changelog ===
git-annex (5.20131230build1) trusty; urgency=low

  * Rebuild against new ICU libs.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 31 Dec 2013 12:12:07 +0530
