=== debian/control ===
--- 
+++ 
@@ -51,6 +51,9 @@
 	libghc-async-dev,
 	libghc-http-dev,
 	libghc-feed-dev,
+	libghc-tasty-dev,
+	libghc-tasty-hunit-dev,
+	libghc-tasty-quickcheck-dev,
 	lsof,
 	ikiwiki,
 	perlmagick,
