## git-annex 5.20140412ubuntu1

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,9 @@
 
 test: git-annex
 	./git-annex test
+
+retest: git-annex
+	./git-annex test --rerun-update --rerun-filter failures
 
 # hothasktags chokes on some template haskell etc, so ignore errors
 tags:
@@ -73,14 +76,15 @@
 		--disable-plugin=smiley \
 		--plugin=comments --set comments_pagespec="*" \
 		--exclude='news/.*' --exclude='design/assistant/blog/*' \
-		--exclude='bugs/*' --exclude='todo/*' --exclude='forum/*'
+		--exclude='bugs/*' --exclude='todo/*' --exclude='forum/*' \
+		--exclude='users/*' --exclude='devblog/*'
 
 clean:
 	rm -rf tmp dist git-annex $(mans) configure  *.tix .hpc \
 		doc/.ikiwiki html dist tags Build/SysConfig.hs build-stamp \
 		Setup Build/InstallDesktopFile Build/EvilSplicer \
 		Build/Standalone Build/OSXMkLibs Build/LinuxMkLibs Build/DistributionUpdate \
-		git-union-merge
+		git-union-merge .tasty-rerun-log
 	find . -name \*.o -exec rm {} \;
 	find . -name \*.hi -exec rm {} \;
 
@@ -115,7 +119,7 @@
 	strip "$(LINUXSTANDALONE_DEST)/bin/git-annex"
 	ln -sf git-annex "$(LINUXSTANDALONE_DEST)/bin/git-annex-shell"
 	zcat standalone/licences.gz > $(LINUXSTANDALONE_DEST)/LICENSE
-	cp doc/favicon.png doc/logo.svg $(LINUXSTANDALONE_DEST)
+	cp doc/logo_16x16.png doc/logo.svg $(LINUXSTANDALONE_DEST)
 
 	./Build/Standalone "$(LINUXSTANDALONE_DEST)"
 	
@@ -136,7 +140,7 @@
 osxapp: Build/Standalone Build/OSXMkLibs
 	$(MAKE) git-annex
 
-	rm -rf "$(OSXAPP_DEST)"
+	rm -rf "$(OSXAPP_DEST)" "$(OSXAPP_BASE)"
 	install -d tmp/build-dmg
 	cp -R standalone/osx/git-annex.app "$(OSXAPP_DEST)"
 
@@ -247,7 +251,9 @@
 	hdevtools check git-annex.hs -g -cpp -g -i -g -idist/build/git-annex/git-annex-tmp -g -i. -g -idist/build/autogen -g -Idist/build/autogen -g -Idist/build/git-annex/git-annex-tmp -g -IUtility -g -DWITH_TESTSUITE -g -DWITH_S3 -g -DWITH_ASSISTANT -g -DWITH_INOTIFY -g -DWITH_DBUS -g -DWITH_PAIRING -g -DWITH_XMPP -g -optP-include -g -optPdist/build/autogen/cabal_macros.h -g -odir -g dist/build/git-annex/git-annex-tmp -g -hidir -g dist/build/git-annex/git-annex-tmp -g -stubdir -g dist/build/git-annex/git-annex-tmp -g -threaded -g -Wall -g -XHaskell98 -g -XPackageImports
 
 distributionupdate:
-	ghc --make Build/DistributionUpdate
+	git pull
+	cabal configure
+	ghc --make Build/DistributionUpdate -XPackageImports
 	./Build/DistributionUpdate
 
 .PHONY: git-annex git-union-merge git-recover-repository tags build-stamp
