=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 	ghc (>= 7.4),
 	libghc-mtl-dev (>= 2.1.1),
 	libghc-missingh-dev,
+	libghc-data-default-dev,
 	libghc-hslogger-dev,
 	libghc-pcre-light-dev,
 	libghc-sha-dev,
 	libghc-cryptohash-dev,
-	libghc-regex-tdfa-dev [!mips !mipsel !s390],
 	libghc-dataenc-dev,
 	libghc-utf8-string-dev,
 	libghc-hs3-dev (>= 0.5.6),
-	libghc-dav-dev (>= 0.3) [amd64 i386 kfreebsd-amd64 kfreebsd-i386 powerpc sparc],
+	libghc-dav-dev (>= 0.6.1) [amd64 i386 kfreebsd-amd64 kfreebsd-i386 powerpc],
 	libghc-quickcheck2-dev,
 	libghc-monad-control-dev (>= 0.3),
 	libghc-monadcatchio-transformers-dev,
@@ -30,14 +30,20 @@
 	libghc-hinotify-dev [linux-any],
 	libghc-stm-dev (>= 2.3),
 	libghc-dbus-dev (>= 0.10.3) [linux-any],
+	libghc-fdo-notify-dev (>= 0.3) [linux-any],
 	libghc-yesod-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc sparc],
 	libghc-yesod-static-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc sparc],
 	libghc-yesod-default-dev [i386 amd64 kfreebsd-amd64 powerpc sparc],
 	libghc-hamlet-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc sparc],
+	libghc-shakespeare-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc sparc],
 	libghc-clientsession-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc sparc],
 	libghc-warp-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc sparc],
+	libghc-warp-tls-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc sparc],
 	libghc-wai-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc sparc],
 	libghc-wai-logger-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc sparc],
+	libghc-securemem-dev,
+	libghc-byteable-dev,
+	libghc-dns-dev,
 	libghc-case-insensitive-dev,
 	libghc-http-types-dev,
 	libghc-blaze-builder-dev,
@@ -50,11 +56,15 @@
 	libghc-xml-types-dev,
 	libghc-async-dev,
 	libghc-http-dev,
-	libghc-feed-dev,
-	libghc-tasty-dev,
-	libghc-tasty-hunit-dev,
-	libghc-tasty-quickcheck-dev,
-	lsof,
+	libghc-feed-dev (>= 0.3.9.2),
+	libghc-regex-tdfa-dev [!mipsel !s390],
+	libghc-regex-compat-dev [mipsel s390],
+	libghc-tasty-dev (>= 0.7) [!mipsel !sparc],
+	libghc-tasty-hunit-dev [!mipsel !sparc],
+	libghc-tasty-quickcheck-dev [!mipsel !sparc],
+	libghc-tasty-rerun-dev [!mipsel !sparc],
+	libghc-optparse-applicative-dev [!sparc],
+	lsof [!kfreebsd-i386 !kfreebsd-amd64],
 	ikiwiki,
 	perlmagick,
 	git (>= 1:1.8.4),
@@ -62,8 +72,9 @@
 	wget,
 	curl,
 	openssh-client,
-Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Standards-Version: 3.9.5
 Vcs-Git: git://git.kitenet.net/git-annex
 Homepage: http://git-annex.branchable.com/
 XS-Testsuite: autopkgtest
@@ -84,8 +95,12 @@
 	ssh-askpass,
 	quvi,
 	git-remote-gcrypt (>= 0.20130908-4),
-	nocache
-Suggests: graphviz, bup, libnss-mdns
+	nocache,
+Suggests:
+	graphviz,
+	bup,
+	tahoe-lafs,
+	libnss-mdns,
 Description: manage files with git, without checking their contents into git
  git-annex allows managing files with git, without checking the file
  contents into git. While that may seem paradoxical, it is useful when
